import oracledb from 'oracledb';

oracledb.initOracleClient({ libDir: '/u01/app/oracle/product/12.1.0/client_1' });
async function testConnection(){
    let connection = await oracledb.getConnection({
        user: 'USR_ORG_1102',
        password: 'teknisa',
        connectString: '192.168.122.5:1521/PDBORCL'
    });
//    console.log(connection);
    return connection;
}

async function testQuery(str){
    console.log(str);
    const SQL = `SELECT * FROM SERVICO`;
    const connection = await testConnection();
    const result = await connection.execute(
        SQL,
        {},
        {
            outFormat: oracledb.OUT_FORMAT_OBJECT
        }
    );
    console.log(`End ${str}`);
    //console.log(result.rows.map(e=>`${e.CDSERVFILI} | ${e.NMSERVICO}`));
    
}

// testQuery('test1');
// testQuery('test2');
const connection = (async function(){
    return await testConnection();
})();
connection.then( e=>{
export {
    connection: e
}
})
